Subject: problem with pine and ELM attachments

From: Lucio Chiappetti <[email-masked]>
Date: Fri, 30 May 1997 12:36:38 +0200

I already asked once about this problem, but could not get a workable
solution. I have now some more elements so perhaps somebody can help me.

 - I read my mail with pine 3.95

 - I receive mail from a colleague who is sending mail via ELM. He is not
   aware of doing anything special. He just sends "normal" mail consisting
   of plain text (no attachments)

 - however my pine sees his mails as consisting of a "text" MIME attachment.
   Of course pine shows me the text correctly without need to invoke any
   special viewer. So I can READ his mails.

 - however I wish to be able to reply to him as I usually do to everybody
   else, including his TEXT. prefixed by > signs, so that I can comment
   on his statements, editing etc.

   unfortunately when I do reply either I do not get his message included
   at all (under my default configuration), or get his message included
   as an attachment (if I tic the "include-attachment-in-reply" feature)

I have found a workaround, which is however not elegant. That is :

 - I save the mail from inbox into another folder

 - I edit the folder and remove a set of header lines

 _ I close the editor (if I don't do that pine will see the folder locked
   and hangs)

 - I reopen the folder in pine, and I am now able to treat his mails as
   normal mails without attachments.

The header lines I eliminate are the following (they occur after the "Date"
keyword and before of the "Status: RO" line) 

X-Hpvue$Revision: 1.8 $
Mime-Version: 1.0
Content-Type: Message/rfc822
X-Vue-Mime-Level: 4
X-Mailer: ELM [version 2.4 PL21]
Content-Type: text

I suppose the problem is due to the presence of a couple of Content-Type
lines. Can I just suppress one of those ? and which ?

Or EVEN BETTER what shall I tell my colleague to inhibit the creation of the
faulty lines (assumed is a fault with ELM and not with Pine) ?

----------------------------------------------------------------------------
Lucio Chiappetti - IFCTR/CNR - via Bassini 15 - I-20133 Milano (Italy)      
----------------------------------------------------------------------------
Fuscim donca de Miragn        E tornem a sta scio' in Bregn                 
Che i fachign e i cortesagn   Magl' insema no stagn begn                    
Drizza la', compa' Tapogn                            (Rabisch, II 41, 96-99)
----------------------------------------------------------------------------
For more info : http://www.ifctr.mi.cnr.it/~lucio/personal.html             
----------------------------------------------------------------------------